Bug 247447 - ReadDirectoryChangesW not working on 3.0.23
Summary: ReadDirectoryChangesW not working on 3.0.23
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: samba   
(Show other bugs)
Version: 5.0
Hardware: All
OS: Linux
low
low
Target Milestone: ---
: ---
Assignee: Samba Maint Team
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On: 238757
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-09 11:18 UTC by Jose Plans
Modified: 2018-10-19 19:52 UTC (History)
2 users (show)

Fixed In Version: RHEA-2007-0638
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-07 19:11:17 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ReadDirectoryChangesW() test case. (2.22 KB, text/x-csrc)
2007-07-09 11:19 UTC, Jose Plans
no flags Details
smb.conf used to reproduce this (366 bytes, text/plain)
2007-07-09 11:22 UTC, Jose Plans
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2007:0638 normal SHIPPED_LIVE samba enhancement update 2007-10-30 23:04:57 UTC

Description Jose Plans 2007-07-09 11:18:39 UTC
Description of the problem:

Samba 3.0.23 shipped with RHEL5 GA, doesn't handle correctly the changes per
directory notifications. Using the call ReadDirectoryChangesW() seems to fail
against a samba share from RHEL5.
  
This has been fixed in 3.0.25, see post below :
 * http://lists.samba.org/archive/samba-cvs/2007-February/074022.html
  
The fix is confirmed by the customer.
  
Issue has been seen by the customer as they are running an application that
maintains an inventory of the files present in a directory; this application
also allows to open an external editor and modify the directory contents. With
the actual code they weren't able to tell if the directory had changed. (This
application use ReadDirectoryChangesW()).
  
This works perfectly when using a local harddrive (Windows OS) but fails when
the ressource comes from Samba. We have therefore asked them to try 3.0.25 to
confirm the changes worked for them, it did. 

Let me know if you need more details, I'm attaching a test case and their
configuration file. (Test case to build on Windows).

Comment 1 Jose Plans 2007-07-09 11:19:44 UTC
Created attachment 158758 [details]
ReadDirectoryChangesW() test case.

Comment 2 Jose Plans 2007-07-09 11:22:31 UTC
Created attachment 158759 [details]
smb.conf used to reproduce this

Comment 4 RHEL Product and Program Management 2007-07-09 11:33:20 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 10 errata-xmlrpc 2007-11-07 19:11:17 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2007-0638.html



Note You need to log in before you can comment on or make changes to this bug.